import uuid

from decimal import Decimal

from barker.schemas import to_camel
from pydantic import BaseModel, ConfigDict, Field


class DiscountItem(BaseModel):
    id_: uuid.UUID
    name: str
    discount: Decimal | None = Field(ge=0, default=0, le=1)
    limit: Decimal
    customer: Decimal
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
