import uuid

from pydantic import BaseModel, ConfigDict

from . import to_camel


class MergeKot(BaseModel):
    voucher_id: uuid.UUID
    kot_id: uuid.UUID
    table_id: uuid.UUID
    new_voucher_id: uuid.UUID
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)


class MoveKot(BaseModel):
    voucher_id: uuid.UUID
    kot_id: uuid.UUID
    table_id: uuid.UUID
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)


class MergeTable(BaseModel):
    voucher_id: uuid.UUID
    table_id: uuid.UUID
    new_voucher_id: uuid.UUID
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)


class MoveTable(BaseModel):
    voucher_id: uuid.UUID
    table_id: uuid.UUID
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
