from pydantic import BaseModel, ConfigDict, Field

from . import to_camel


class RegimeIn(BaseModel):
    name: str = Field(..., min_length=1)
    header: str
    prefix: str = Field(..., min_length=1)
    is_fixture: bool
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)


class Regime(RegimeIn):
    id_: int
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)


class RegimeBlank(RegimeIn):
    name: str
    header: str
    prefix: str
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)


class RegimeLink(BaseModel):
    id_: int = Field(...)
    name: str | None = None
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
