from pydantic import BaseModel, ConfigDict, Field

from . import to_camel
from .printer import PrinterLink
from .sale_category import SaleCategoryLink


class SectionPrinter(BaseModel):
    sale_category: SaleCategoryLink | None = None
    printer: PrinterLink | None = None
    copies: int = Field(ge=0)
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
