import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { GuestBook } from './guest-book';
import { GuestBookService } from './guest-book.service';

@Injectable({
  providedIn: 'root',
})
export class GuestBookDetailResolver {
  constructor(private ser: GuestBookService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<GuestBook> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
