import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { MenuEngineeringReportResolver } from './menu-engineering-report-resolver.service';
import { MenuEngineeringReportComponent } from './menu-engineering-report.component';

const menuEngineeringReportRoutes: Routes = [
  {
    path: '',
    component: MenuEngineeringReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Product Sale Report',
    },
    resolve: {
      info: MenuEngineeringReportResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(menuEngineeringReportRoutes)],
  exports: [RouterModule],
  providers: [MenuEngineeringReportResolver],
})
export class MenuEngineeringReportRoutingModule {}
