import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { Modifier } from '../core/modifier';

import { ModifierService } from './modifier.service';

@Injectable({
  providedIn: 'root',
})
export class ModifierResolver {
  constructor(private ser: ModifierService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Modifier> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
