import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { Role } from './role';
import { RoleService } from './role.service';

@Injectable({
  providedIn: 'root',
})
export class RoleResolver {
  constructor(private ser: RoleService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Role> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
