import { Component, Inject, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { Regime } from 'src/app/core/regime';

@Component({
  selector: 'app-bill-number',
  templateUrl: './bill-number.component.html',
  styleUrls: ['./bill-number.component.css'],
})
export class BillNumberComponent implements OnInit {
  form: FormGroup<{
    regime: FormControl<Regime | null>;
    billNumber: FormControl<number>;
  }>;

  regimes: Regime[] = [];

  constructor(
    public dialogRef: MatDialogRef<BillNumberComponent>,
    @Inject(MAT_DIALOG_DATA)
    public data: Regime[],
  ) {
    this.regimes = data;
    // Create form
    this.form = new FormGroup({
      regime: new FormControl<Regime | null>(null),
      billNumber: new FormControl<number>(0, { nonNullable: true }),
    });
  }

  ngOnInit() {
    this.form.setValue({
      regime: null,
      billNumber: 0,
    });
  }

  accept(): void {
    const formValue = this.form.value;
    const billNumber = formValue.billNumber ?? 0;
    const regime = formValue.regime ?? null;
    if (regime == null) {
      this.dialogRef.close(undefined);
    }
    this.dialogRef.close(`${regime?.prefix}-${billNumber}`);
  }
}
