import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { Product } from '../core/product';

import { TemporalProductService } from './temporal-product.service';

@Injectable({
  providedIn: 'root',
})
export class TemporalProductResolverService {
  constructor(private ser: TemporalProductService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Product> {
    const id = route.paramMap.get('id');
    return this.ser.get(id as string);
  }
}
